Bug 1298999 - dnf hangs if "--autologin root" is added to container-getty@.service
dnf hangs if "--autologin root" is added to container-getty@.service
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 11:14 EST by Gregory Lee Bartholomew
Modified: 2016-07-19 14:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:39:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Lee Bartholomew 2016-01-15 11:14:01 EST
Description of problem:

dnf install <packagename> hangs at confirmation prompt if autologin is enabled for the systemd container.

Version-Release number of selected component (if applicable):

dnf-1.1.5-1.fc22.noarch

How reproducible:

Steps to Reproduce:

dnf -y --releasever=22 --nogpg --installroot=/var/lib/machines/container1 --disablerepo='*' --enablerepo=fedora --enablerepo=updates install fedora-release systemd passwd rootfiles dnf vim-minimal

sed -i '/^root/s!*!!' /var/lib/machines/container1/etc/shadow

cp /var/lib/machines/container1/usr/lib/systemd/system/container-getty\@.service /var/lib/machines/container1/etc/systemd/system

sed -i '/^ExecStart=/s!--keep-baud!--keep-baud --autologin root!' /var/lib/machines/nagios/etc/systemd/system/container-getty\@.service

machinectl start container1
machinectl login container1

dnf install <arbitrary-package>
...
*** HANG ***

Actual results:

Expected results:

Wouldn't expect autologin to hang dnf.

Additional info:
Comment 1 Gregory Lee Bartholomew 2016-01-15 14:10:21 EST
P.S.  I just noticed a typo in the second sed command I supplied.  It should have been:

sed -i '/^ExecStart=/s!--keep-baud!--keep-baud --autologin root!' /var/lib/machines/container1/etc/systemd/system/container-getty\@.service
Comment 2 Honza Silhan 2016-01-19 09:59:56 EST
Does it hang in transaction confirmation prompt or during gpg key import? Does it work if you add `-y` as a parameter?
Comment 3 Gregory Lee Bartholomew 2016-01-19 11:11:36 EST
With '-y', dnf install <package> works.  Without '-y', when I type "y<enter>" at the prompt, the carriage returns, but the line does not advance on the terminal and at that point, dnf is hung.
Comment 4 Fedora Admin XMLRPC Client 2016-07-08 05:31:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 14:39:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.